- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes

# MPxCameraSet Class Reference

# OpenMaya - API module for common classes | Proxy classes

Search for all occurrences

## Detailed Description

Base class for user-defined camera set nodes.

MPxCameraSet is the parent class of all user defined cameraSet nodes.

This class can be used to implement new kinds of cameraSets within maya that behave in a similar manner to the cameraSet node included in maya.

`#include <MPxCameraSet.h>`

Inheritance diagram for MPxCameraSet:
[legend]

List of all members.

## Public Member Functions
| MPxCameraSet ()
| Constructor.
virtual | ~MPxCameraSet ()
| Destructor.
virtual MPxNode::Type | type () const
| Returns the type of node that this is.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Static Public Attributes
static MObject | cameraLayer
| Compound array attribute for storing the list of camera layers. Search for all occurrences
static MObject | camera
| Message attribute connecting to layer's camera transform. Child of 'cameraLayer'. Search for all occurrences
static MObject | sceneData
| Message attribute connecting to layer's objectSet. Child of 'cameraLayer'. Search for all occurrences
static MObject | active
| Boolean attribute determining if layer will be processed. Child of 'cameraLayer'. Search for all occurrences
static MObject | order
| Integer attribute giving the processing order of the layer. Child of 'cameraLayer'. Search for all occurrences

## Constructor & Destructor Documentation

MPxCameraSet | ( |  | ) |

Constructor.

Any calls the MPxCameraSet methods must be done in the postConstructor method and not here.

## Member Function Documentation

MPxNode::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the type of node that this is.

This is used to differentiate user defined nodes that are derived off different MPx base classes.

It is not necessary to override this method.

Returns:
  Type of the node (MPxNode::kCameraSetNode)

Reimplemented from MPxNode.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

Reimplemented from MPxNode.

MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet
MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet MPxCameraSet